Subject: bug#73951: 29.4; 'what-cursor-position' reports SPC instead of TAB in term-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Oct 2024 20:40:57 +0300

> From: [email-masked]
> Date: Tue, 22 Oct 2024 19:35:42 +0300
> 
> 
> How to reproduce on my system:
> 
> Start: emacs -Q
> Type: M-x term RET
> On Emacs prompt "Run program: /bin/bash", type: RET
> The *terminal* buffer appears.
> On Bash prompt, type: echo 'a TAB b' RET
> Bash prints: "a	b" (a TAB b), and displays new prompt.

I cannot reproduce this because when I press TAB, I get a bell,
i.e. TAB is not printed.  Which is consistent with what TAB produces
outside Emacs, when I type it at Bash prompt: Bash attempts to perform
completion on what I typed.

So I guess your recipe is missing something, or maybe your Bash init
file customizes Bash in some way.

If someone can reproduce this, please tell if I'm missing something
here.